#!/bin/sh
#
# Check permissions on osgi-runner directories
#
# $Id$
#

if test "$OSGI_RUNNER_CONFIG_INCLUDED" != xRHTd4BvVmV8kdWh
then
    . /usr/share/osgi-runner/sh/load-config-docker.sh
fi

test -d $OSGI_VARDIR/deploy   || mkdir -pv $OSGI_VARDIR/deploy
test -d $OSGI_LOGDIR          || mkdir -pv $OSGI_LOGDIR
test -d $OSGI_CACHEDIR        || mkdir -pv $OSGI_CACHEDIR

chown -R $OSGI_USER:$OSGI_GROUP $OSGI_LOGDIR $OSGI_VARDIR $OSGI_CACHEDIR
chmod $CHOWN_MODE $OSGI_LOGDIR $OSGI_VARDIR $OSGI_CACHEDIR

if [ -n "$CHOWN_DIRS" ] ; then
    chown -R $OSGI_USER:$OSGI_GROUP $CHOWN_DIRS
    chmod -R $CHOWN_MODE            $CHOWN_DIRS
fi

chown -R $OSGI_ADMIN:$OSGI_GROUP $OSGI_ETCDIR
chmod 775 $OSGI_ETCDIR
chmod 775 $OSGI_ETCDIR/conf.d
chmod 770 $OSGI_ETCDIR/adm.d
chmod 750 $OSGI_ETCDIR/sshd.d
chmod 750 $OSGI_ETCDIR/htpasswd.d
chmod 644 $OSGI_ETCDIR/system.properties
chmod 644 $OSGI_ETCDIR/conf.d/*.properties
test -f $OSGI_ETCDIR/sshd.d/host.key && chmod 640 $OSGI_ETCDIR/sshd.d/host.key
test -f $OSGI_ETCDIR/sshd.d/authorized_keys && chmod 640 $OSGI_ETCDIR/sshd.d/authorized_keys
chmod 640 $OSGI_ETCDIR/htpasswd.d/*.htpasswd
chmod 660 $OSGI_ETCDIR/adm.d/*.cfg

